<div *ngIf="loading" id="cont" class="container">
	<div class="yellow dot"></div>
	<div class="red dot"></div>
	<div class="blue dot"></div>
	<div class="violet dot"></div>
</div>
<div class="is-flex is-justify-center has-margin-top-5">
  <div *ngIf="error$ | async" class="notification is-danger is-flex is-align-center">
    <button class="delete" (click)="fail()"></button>
    <img src="assets/images/ex.png"/>
    <p class="has-margin-left-2">Chargement des questions impossible pour le moment.</p>
    <button class="button error-button has-margin-left-1" (click)="getQuestions()">Relancer</button>
  </div>
</div>
<nav *ngIf="canDisplay$ | async" class="panel">
  <p class="panel-heading">
      Liste des salles
  </p>
  <div class="is-flex flex-column panel-block">
      <p class="control is-flex has-items-center">
          <!-- (input)="changeList()" Pour savoir en temps réel ce qui est tapé dans le input -->
          <input #Search (input)="refresh()" id="search" class="input" type="search" placeholder="Rechercher">
          <!-- <button id="search"  (click)="changeList()" class="button">Rechercher</button> -->
      </p>
      <button class="button is-flex is-add-button" [routerLink]="'création'">
        <img width="20px" class="has-right-margin" src="assets/images/plus.png"/>
        Ajouter une salle
      </button>
  </div>

  <p *ngIf="!globals.isMobile" class="panel-tabs is-flex has-items-center space-around has-bottom-margin is-adapt">
      <different-a id="i" class="test" *ngFor="let item of testModules; let i = index" (click)="change(item, i)" [textColor]="item.current" [borderColor]="item.current" [item]="item.item"></different-a>
  </p>
  <div *ngIf="globals.isMobile" class="is-flex is-justify-center has-margin-top-1">
    <div #Hola class="dropdown" (click)="test()">
      <div class="dropdown-trigger">
        <button [style.borderColor]="currentColor" class="button is-flex is-space-around is-not-default is-rounded is-big">
          <span [style.Color]="currentColor">{{testModules[currentModule].item}}</span>
        </button>
      </div>
      <div class="dropdown-menu" id="dropdown-menu" role="menu">
        <div class="dropdown-content is-flex is-column is-align-center">
          <div *ngFor="let item of testModules; let i = index" id="i" (click)="change(item, i)" class="dropdown-item">
              <span [style.Color]="item.current">{{item.item}}</span>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="has-overflow">
    <div *ngFor="let elt of listRoomsDisplayed; let i = index" class="panel-block has-items-center space-around">
      <p class="is-name">{{elt.question.name}}</p>
      <p>{{getFormatedTime(elt.room.expectedTime)}}</p>
      <div class="is-flex space-around is-minus">
        <p *ngIf="elt.error" [style.color]="'red'">Erreur</p>
        <div *ngIf="!globals.isMobile">
          <button class="button is-update-button has-margin-right-1" (click)="goModify(elt)" [routerLink]="'modification'">Modifier</button>
          <button class="button iconButton has-margin-right-1" (click)="askDelete(i)"><img src="assets/images/poubelle.png"></button>
          <button *ngIf="elt.confirm" class="button is-success has-margin-right-1" (click)="delete(i)">Confirmer</button>
          <button *ngIf="elt.cancel" class="button is-danger" (click)="cancel(i)">Annuler</button>
        </div>
        <div *ngIf="globals.isMobile" #DropNotif (click)="openActions(i)" class="dropdown has-margin-right-1">
          <div class="dropdown-trigger">
            <button class="button">
              <span>Actions</span>
            </button>
          </div>
          <div class="dropdown-menu size-min" id="dropdown-menu" role="menu">
            <div class="dropdown-content no-padding size-min">
              <div (click)="goModify(elt)" [routerLink]="'modification'" class="dropdown-item is-flex is-justify-center" [style.backgroundColor]="'#E0CDA3'">
                <span class="font" [style.Color]="'#008071'">
                  Modifier
                </span>
              </div>
              <div (click)="askDelete(i)" [style.borderColor]="'#FF2F2B'" [style.backgroundColor]="'white'" class="dropdown-item is-flex is-justify-center">
                <img width="30px" src="assets/images/poubelle.png"/>
              </div>
            </div>
          </div>
        </div>

      </div>
    </div>
  </div>
</nav>
<div #Rooms class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <section class="modal-card-body is-flex is-column">
      <button class="delete self" (click)="close()" aria-label="close"></button>
      <h1 class="is-styled">
          Supression de : <span class="is-bold">{{text}}</span>
      </h1>
      <div class="is-flex is-space-around has-margin-top-2">
        <button class="button is-success has-margin-right-4" (click)="delete(currentIndex)">Confirmer</button>
        <button class="button is-danger" (click)="cancel(currentIndex)">Annuler</button>
      </div>
    </section>
  </div>
</div>
